import 'package:english_learning/features/home/models/card_model.dart';
import 'package:flutter/material.dart';

class WelcomeCard extends StatelessWidget {
  final CardModel cardModel;

  const WelcomeCard({
    required this.cardModel,
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Card(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(12),
      ),
      child: ClipRRect(
        borderRadius: BorderRadius.circular(12),
        child: Image.asset(
          cardModel.image,
          fit: BoxFit.cover,
        ),
      ),
    );
  }
}
